TLM-2.0: tlm_utils::simple_initiator_socket< MODULE, BUSWIDTH, TYPES > Class Template Reference

# tlm_utils::simple_initiator_socket< MODULE, BUSWIDTH, TYPES > Class Template Reference

`#include <simple_initiator_socket.h>`

Inheritance diagram for tlm_utils::simple_initiator_socket< MODULE, BUSWIDTH, TYPES >:

[legend]
Collaboration diagram for tlm_utils::simple_initiator_socket< MODULE, BUSWIDTH, TYPES >:

[legend]

List of all members.

## Classes
class | process
## Public Types
typedef TYPES::tlm_payload_type | transaction_type
typedef TYPES::tlm_phase_type | phase_type
typedef tlm::tlm_sync_enum | sync_enum_type
typedef tlm::tlm_fw_transport_if < TYPES > | fw_interface_type
typedef tlm::tlm_bw_transport_if < TYPES > | bw_interface_type
typedef tlm::tlm_initiator_socket < BUSWIDTH, TYPES > | base_type
## Public Member Functions
| simple_initiator_socket ()
| simple_initiator_socket (const char *n)
void | register_nb_transport_bw (MODULE *mod, sync_enum_type(MODULE::*cb)(transaction_type &, phase_type &, sc_core::sc_time &))
void | register_invalidate_direct_mem_ptr (MODULE *mod, void(MODULE::*cb)(sc_dt::uint64, sc_dt::uint64))

## Detailed Description

### template<typename MODULE, unsigned int BUSWIDTH = 32, typename TYPES = tlm::tlm_base_protocol_types>
class tlm_utils::simple_initiator_socket< MODULE, BUSWIDTH, TYPES >

Definition at line 29 of file simple_initiator_socket.h.

## Member Typedef Documentation

template<typename MODULE , unsigned int BUSWIDTH = 32, typename TYPES = tlm::tlm_base_protocol_types>

typedef tlm::tlm_initiator_socket<BUSWIDTH, TYPES> tlm_utils::simple_initiator_socket< MODULE, BUSWIDTH, TYPES >::base_type

Reimplemented from tlm::tlm_base_initiator_socket< BUSWIDTH, tlm_fw_transport_if< TYPES >, tlm_bw_transport_if< TYPES >, 1,sc_core::SC_ONE_OR_MORE_BOUND >.

Definition at line 38 of file simple_initiator_socket.h.

template<typename MODULE , unsigned int BUSWIDTH = 32, typename TYPES = tlm::tlm_base_protocol_types>

typedef tlm::tlm_bw_transport_if<TYPES> tlm_utils::simple_initiator_socket< MODULE, BUSWIDTH, TYPES >::bw_interface_type

Reimplemented from tlm::tlm_base_initiator_socket< BUSWIDTH, tlm_fw_transport_if< TYPES >, tlm_bw_transport_if< TYPES >, 1,sc_core::SC_ONE_OR_MORE_BOUND >.

Definition at line 37 of file simple_initiator_socket.h.

template<typename MODULE , unsigned int BUSWIDTH = 32, typename TYPES = tlm::tlm_base_protocol_types>

typedef tlm::tlm_fw_transport_if<TYPES> tlm_utils::simple_initiator_socket< MODULE, BUSWIDTH, TYPES >::fw_interface_type

Reimplemented from tlm::tlm_base_initiator_socket< BUSWIDTH, tlm_fw_transport_if< TYPES >, tlm_bw_transport_if< TYPES >, 1,sc_core::SC_ONE_OR_MORE_BOUND >.

Definition at line 36 of file simple_initiator_socket.h.

template<typename MODULE , unsigned int BUSWIDTH = 32, typename TYPES = tlm::tlm_base_protocol_types>

typedef TYPES::tlm_phase_type tlm_utils::simple_initiator_socket< MODULE, BUSWIDTH, TYPES >::phase_type

Definition at line 34 of file simple_initiator_socket.h.

template<typename MODULE , unsigned int BUSWIDTH = 32, typename TYPES = tlm::tlm_base_protocol_types>

typedef tlm::tlm_sync_enum tlm_utils::simple_initiator_socket< MODULE, BUSWIDTH, TYPES >::sync_enum_type

Definition at line 35 of file simple_initiator_socket.h.

template<typename MODULE , unsigned int BUSWIDTH = 32, typename TYPES = tlm::tlm_base_protocol_types>

typedef TYPES::tlm_payload_type tlm_utils::simple_initiator_socket< MODULE, BUSWIDTH, TYPES >::transaction_type

Definition at line 33 of file simple_initiator_socket.h.

## Constructor & Destructor Documentation

template<typename MODULE , unsigned int BUSWIDTH = 32, typename TYPES = tlm::tlm_base_protocol_types>

tlm_utils::simple_initiator_socket< MODULE, BUSWIDTH, TYPES >::simple_initiator_socket | ( |  | ) | `[inline]`

Definition at line 41 of file simple_initiator_socket.h.

template<typename MODULE , unsigned int BUSWIDTH = 32, typename TYPES = tlm::tlm_base_protocol_types>

tlm_utils::simple_initiator_socket< MODULE, BUSWIDTH, TYPES >::simple_initiator_socket | ( | const char * | n | ) | `[inline, explicit]`

Definition at line 48 of file simple_initiator_socket.h.

## Member Function Documentation

template<typename MODULE , unsigned int BUSWIDTH = 32, typename TYPES = tlm::tlm_base_protocol_types>

void tlm_utils::simple_initiator_socket< MODULE, BUSWIDTH, TYPES >::register_invalidate_direct_mem_ptr | ( | MODULE * | mod,
|  | void(MODULE::*)(sc_dt::uint64, sc_dt::uint64) | cb |
| ) |  |  | `[inline]`

Definition at line 63 of file simple_initiator_socket.h.

template<typename MODULE , unsigned int BUSWIDTH = 32, typename TYPES = tlm::tlm_base_protocol_types>

void tlm_utils::simple_initiator_socket< MODULE, BUSWIDTH, TYPES >::register_nb_transport_bw | ( | MODULE * | mod,
|  | sync_enum_type(MODULE::*)(transaction_type &, phase_type &, sc_core::sc_time &) | cb |
| ) |  |  | `[inline]`

Definition at line 55 of file simple_initiator_socket.h.

The documentation for this class was generated from the following file:

- include/tlm/tlm_utils/simple_initiator_socket.h